## gnome-software 44.3

=== debian/changelog ===
gnome-software (44.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 12 Jul 2023 12:20:51 -0400

gnome-software (44.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 11 Jul 2023 14:40:17 -0400

gnome-software (44.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fix subsequent checking for updates if the first check after login
      fails (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/1316)
    - Fix checking for updates when automatic updates are disabled
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/1866)
    - Fix rare stall when many background jobs are running
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2105)
    - Don’t download rpm-ostree updates when only checking if updates are
      available
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2151)
    - Fix bug with listing flatpak addons when multiple flathub remotes
      are enabled
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2152)
    - Fix duplicated sources in app details page when using an appstream
      URL (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2166)
    - Reduce background resource consumption when idle.
      (https://gitlab.gnome.org/GNOME/gnome-software/-/issues/2153)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 25 May 2023 17:03:42 -0400

## gnome-software 45~beta

=== debian/changelog ===
gnome-software (45~beta-1ubuntu1) mantic; urgency=medium

  * Merge with Debian
  * Rebase patches

 -- Jarred Wilson <jarred.wilson@canonical.com>  Wed, 16 Aug 2023 12:59:54 -0400

gnome-software (45~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum GTK4 to 4.10.0
  * Add patch to keep using software-properties-gtk
    for the Software Repositories dialog

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 09:13:30 -0400

gnome-software (44.3-2) unstable; urgency=medium

  * Remove an obsolete maintscript entry
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:22:56 -0400

## gnome-software 45~rc

=== debian/changelog ===
gnome-software (45~rc-1ubuntu1) mantic; urgency=medium

  * Merge with Debian
  * Rebase patches

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 12 Sep 2023 13:40:25 -0400

gnome-software (45~rc-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 12 Sep 2023 12:30:42 -0400

## gnome-software 45.0

=== debian/changelog ===
gnome-software (45.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian 

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 19 Sep 2023 14:35:22 -0400

gnome-software (45.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Fri, 15 Sep 2023 14:12:24 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-software
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               dh-sequence-gnome,
               docbook-xsl,
               gsettings-desktop-schemas-dev (>= 3.18),
               gtk-doc-tools,
               libadwaita-1-dev (>= 1.3~alpha),
               libappstream-dev (>= 0.14.0),
               libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libfwupd-dev (>= 1.5.6) [linux-any],
               libglib2.0-dev (>= 2.70.0),
               libglib-testing-0-dev,
               libgtk-4-dev (>= 4.10.0),
               libgudev-1.0-dev [linux-any],
               libjson-glib-dev (>= 1.6.0),
               libostree-dev (>= 2022.5-2~) [linux-any],
               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
               libpackagekit-glib2-dev (>= 1.2.5),
               libpolkit-gobject-1-dev,
               libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
               libsoup-3.0-dev,
               libxml2-utils,
               libxmlb-dev (>= 0.1.7),
               meson (>= 0.55.0),
               pkg-config,
               polkitd,
               xsltproc
Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libjson-glib-doc <!nodoc>,
                     libsoup2.4-doc <!nodoc>,
                     libsoup-3.0-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
Homepage: https://wiki.gnome.org/Apps/Software
X-Ubuntu-Use-Langpack: yes

Package: gnome-software
Architecture: any
Depends: appstream,
         apt-config-icons,
         gnome-software-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.18),
         libgtk3-perl,
         packagekit (>= 1.2.5),
         software-properties-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: sessioninstaller
Recommends: fwupd [linux-any], ${plugin:Recommends}
Suggests: apt-config-icons-hidpi,
          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
          ${plugin:Suggests}
Description: Software Center for GNOME
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.

Package: gnome-software-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Software Center for GNOME (common files)
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the architecture-independent files.

Package: gnome-software-plugin-flatpak
Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32
Depends: flatpak (>= 1.14.0),
         gnome-software (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Flatpak support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Flatpak plugin.

Package: gnome-software-plugin-snap
Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
Depends: gnome-software (= ${binary:Version}),
         snapd [amd64 arm64 armel armhf i386 ppc64el],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd [s390x]
Breaks: gnome-software (<< 3.22.3)
Replaces: gnome-software (<< 3.22.3)
Description: Snap support for GNOME Software
 Software lets you install and update applications and system extensions.
 .
 Software uses a plugin architecture to separate the frontend from the
 technologies that are used underneath. Currently, a PackageKit plugin provides
 data from a number of traditional packaging systems, such as rpm or apt. An
 appdata plugin provides additional metadata from locally installed data in the
 appdata format.
 .
 This package contains the Snap plugin.

Package: gnome-software-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libappstream-dev (>= 0.14.0),
         libglib2.0-dev (>= 2.70.0),
         libgtk-4-dev (>= 4.9.2),
         libjson-glib-dev (>= 1.6.0),
         libpolkit-gobject-1-dev,
         libsoup-3.0-dev,
         libxmlb-dev (>= 0.1.7),
         ${misc:Depends}
Suggests: gnome-software-doc
Description: Software Center for GNOME - development files
 Software lets you install and update applications and system extensions.
 .
 This package contains headers and other files required when compiling external
 plugins for use with Software.

Package: gnome-software-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Software Center for GNOME - documentation
 Software lets you install and update applications and system extensions.
 .
 This package contains documentation for use when developing plugins for
 Software.

## gnome-software 45.2

=== debian/changelog ===
gnome-software (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 17 Dec 2023 13:34:10 -0500

gnome-software (45.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 17 Dec 2023 13:29:21 -0500

gnome-software (45.1-2) unstable; urgency=medium

  * Team upload
  * Add appstream1.0-support.patch:
    - Support the latest AppStream library version
  * Bump dependency on appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 16 Dec 2023 19:29:56 +0100

gnome-software (45.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Various styling fixes
    - Report PackageKit GPG-related errors in the GUI
    - Flatpak permission checks improvements
    - Optimize loading of the details page
  * Drop debian/patches/01_details-Use-custom-icon-for-verified-developers.patch

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 24 Oct 2023 16:13:39 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
                dh-sequence-gnome,
@@ -15,7 +15,7 @@
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
                libadwaita-1-dev (>= 1.3~alpha),
-               libappstream-dev (>= 0.14.0),
+               libappstream-dev (>= 1.0.0),
                libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib2.0-dev (>= 2.70.0),

## gnome-software 45.3

=== debian/changelog ===
gnome-software (45.3-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Jan 2024 11:48:39 -0500

gnome-software (45.3-2) unstable; urgency=high

  [ Matthias Klumpp ]
  * Add patch to fix showing deb packages (Closes: #1058924) (LP: #2047818)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Jan 2024 11:46:03 -0500

gnome-software (45.3-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Drop nocheck annotation from appstream Build-Depends (Closes: #1059983)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 11:36:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-software
 Section: gnome
 Priority: optional
@@ -9,7 +5,7 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               appstream <!nocheck>,
+               appstream,
                dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),

## gnome-software 46.0

=== meson_options.txt ===
option('tests', type : 'boolean', value : true, description : 'enable tests')
option('gsettings_desktop_schemas', type : 'feature', value : 'enabled', description : 'enable integration with GNOME desktop preferences')
option('man', type : 'boolean', value : true, description : 'enable man pages')
option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
option('polkit', type : 'boolean', value : true, description : 'enable PolKit support')
option('eos_updater', type : 'boolean', value : false, description : 'enable eos-updater support')
option('fwupd', type : 'boolean', value : true, description : 'enable fwupd support')
option('flatpak', type : 'boolean', value : true, description : 'enable Flatpak support')
option('malcontent', type : 'boolean', value : true, description : 'enable parental controls support using libmalcontent')
option('rpm_ostree', type : 'boolean', value : false, description : 'enable rpm-ostree support')
option('webapps', type : 'boolean', value : true, description : 'enable webapps support')
option('hardcoded_foss_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable FOSS webapps')
option('hardcoded_proprietary_webapps', type : 'boolean', value : true, description : 'enable inclusion of a default set of installable proprietary webapps')
option('gudev', type : 'boolean', value : true, description : 'enable GUdev support')
option('apt', type : 'boolean', value : false, description : 'enable apt: URL handler in the .desktop file')
option('snap', type : 'boolean', value : false, description : 'enable Snap support')
option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')
option('hardcoded_curated', type : 'boolean', value : true, description : 'enable installation of default curated apps list')
option('default_featured_apps', type : 'boolean', value : true, description : 'enable installation of default featured apps list')
option('mogwai', type : 'boolean', value : false, description : 'enable metered data support using Mogwai')
option('sysprof', type : 'feature', value : 'auto', description : 'enable sysprof-capture support for profiling')
option('profile', type : 'string', value : '', description : 'Build with specified application ID')
option('soup2', type : 'boolean', value : false, description : 'build with libsoup2')
option('opensuse-distro-upgrade', type : 'boolean', value : false, description : 'enable opensuse-distro-upgrade support')

=== debian/changelog ===
gnome-software (46.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:12:22 +0000

gnome-software (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Add patch to disable apt updates (Closes: #787485) (LP: #1992498)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 19:50:34 -0400

gnome-software (46.0-1) unstable; urgency=medium

  * New upstream release
    - Fix loading updates loop (Closes: #1064364)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Mar 2024 07:55:44 -0400

gnome-software (46~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 11 Mar 2024 09:56:57 -0400

gnome-software (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 to 4.12 and libadwaita to 1.4
  * debian/gnome-software.install: Install bash-completion file
  * Run wrap-and-sort
  * Drop 2 appstream patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Feb 2024 08:44:32 -0500

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,28 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Gunnar Hjalmarsson <gunnarhj@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               appstream,
+Uploaders: Amin Bandali <bandali@ubuntu.com>,
+           Gunnar Hjalmarsson <gunnarhj@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>,
+           Matthias Klumpp <mak@debian.org>
+Build-Depends: appstream,
+               debhelper-compat (= 13),
                dh-sequence-gnome,
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
-               libadwaita-1-dev (>= 1.3~alpha),
+               libadwaita-1-dev (>= 1.4),
                libappstream-dev (>= 1.0.0),
                libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
+               libglib-testing-0-dev,
                libglib2.0-dev (>= 2.70.0),
-               libglib-testing-0-dev,
-               libgtk-4-dev (>= 4.10.0),
+               libgtk-4-dev (>= 4.12.0),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libostree-dev (>= 2022.5-2~) [linux-any],
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libpackagekit-glib2-dev (>= 1.2.5),
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
@@ -28,15 +32,15 @@
                libxml2-utils,
                libxmlb-dev (>= 0.1.7),
                meson (>= 0.55.0),
-               pkg-config,
+               pkgconf,
                polkitd,
                xsltproc
 Build-Depends-Indep: libgdk-pixbuf2.0-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
-                     libsoup2.4-doc <!nodoc>,
-                     libsoup-3.0-doc <!nodoc>
+                     libsoup-3.0-doc <!nodoc>,
+                     libsoup2.4-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
@@ -56,7 +60,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: sessioninstaller
-Recommends: fwupd [linux-any], ${plugin:Recommends}
+Recommends: fwupd [linux-any],
+            ${plugin:Recommends}
 Suggests: apt-config-icons-hidpi,
           gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
           ${plugin:Suggests}
@@ -85,7 +90,7 @@
  This package contains the architecture-independent files.
 
 Package: gnome-software-plugin-flatpak
-Architecture: amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32
+Architecture: amd64 arm64 armel armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
 Depends: flatpak (>= 1.14.0),
          gnome-software (= ${binary:Version}),
          ${misc:Depends},
@@ -127,7 +132,7 @@
 Multi-Arch: same
 Depends: libappstream-dev (>= 0.14.0),
          libglib2.0-dev (>= 2.70.0),
-         libgtk-4-dev (>= 4.9.2),
+         libgtk-4-dev (>= 4.12.0),
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
          libsoup-3.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# Fix the Flatpak plugin: https://launchpad.net/bugs/1650783
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

GS_CONFIGURE_FLAGS = \
	-Dgsettings_desktop_schemas=enabled \
	-Dpackagekit=true \
	-Dpackagekit_autoremove=true \
	-Drpm_ostree=false \
	-Dapt=true

# these are conditionally re-enabled later
GS_CONFIGURE_FLAGS += \
	-Dfwupd=false \
	-Dflatpak=false \
	-Dgudev=false \
	-Dmalcontent=false

ifeq ($(DEB_HOST_ARCH_OS), linux)
	# Enable Flatpak support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
	endif

	# Enable GUdev support on Linux
	GS_CONFIGURE_FLAGS += -Dgudev=true
	
	# Enable fwupd support on Linux
	GS_CONFIGURE_FLAGS += -Dfwupd=true

	# Enable snap support on supported architectures
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el s390x))
		GS_CONFIGURE_FLAGS += -Dsnap=true
	endif
endif

DISTRO_ID = debian
FREE_REPOS = \'@DISTRO@-*-main\'
FREE_URL = https:\/\/www.debian.org\/social_contract\#guidelines
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	DISTRO_ID = ubuntu
	FREE_REPOS = \'@DISTRO@-*-main\', \'@DISTRO@-*-universe\'
	FREE_URL = https:\/\/www.ubuntu.com\/about\/about-ubuntu\/licensing
else ifeq (yes,$(shell dpkg-vendor --derives-from Tanglu && echo yes))
	DISTRO_ID = tanglu
else ifeq (yes,$(shell dpkg-vendor --derives-from PureOS && echo yes))
	DISTRO_ID = pureos
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(GS_CONFIGURE_FLAGS)

override_dh_installgsettings:
	sed "s#@FREE_REPOS@#$(FREE_REPOS)#g" debian/gnome-software.gsettings-override.in > debian/gnome-software.gsettings-override
	sed -i "s/@DISTRO@/$(DISTRO_ID)/g" debian/gnome-software.gsettings-override
	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
	dh_installgsettings

override_dh_install:
	# Remove unused files
	rm -f debian/tmp/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fedora*
	dh_install

override_dh_missing:
	dh_missing --fail-missing

	# These files are split out to separate packages
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_flatpak*
	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_snap*
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml

override_dh_makeshlibs:
	dh_makeshlibs -Xlibgs_plugin

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-software/

# DISABLED
override_dh_auto_test:

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
else
	dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
endif

override_dh_clean:
	rm -f debian/gnome-software.gsettings-override
	dh_clean

override_dh_gnome_clean:

## gnome-software 46.1

=== debian/changelog ===
gnome-software (46.1-1) unstable; urgency=high

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 17:05:57 -0400

gnome-software (46.0-4) unstable; urgency=medium

  * Fix typo in gnome-software-plugin-deb package description
  * Add lintian overrides for desktop-command-not-in-package

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Mar 2024 16:45:30 -0400

gnome-software (46.0-3) unstable; urgency=medium

  * Update Homepage
  * Release to Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 13:23:28 -0400

gnome-software (46.0-2) experimental; urgency=medium

  * Split deb support into separate gnome-software-plugin-deb package
    (Closes: #1066030) (LP: #2019137, #2056767)
  * Have each plugin provide a virtual gnome-software-plugin package
  * Suggest all the gnome-software plugins
  * Recommend gnome-software-plugin-deb for upgrades
  * Split firmware update support into separate fwupd plugin & recommend it
    except on Ubuntu which provides a separate firmware-updater app
    Intentionally, do not have this provides the virtual gnome-software-plugin
    since it doesn't allow browsing apps.
  * Drop patch that hides upstreams Software Sources dialog (Closes: #1060803)
  * Drop Depends: software-properties-gtk
  * Stop recommending gnome-software-plugin-snap on Ubuntu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:33:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Gunnar Hjalmarsson <gunnarhj@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
@@ -45,26 +44,21 @@
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
-Homepage: https://wiki.gnome.org/Apps/Software
+Homepage: https://apps.gnome.org/Software/
 X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-software
 Architecture: any
-Depends: appstream,
-         apt-config-icons,
+Depends: gnome-software-plugin-deb (= ${binary:Version}) | gnome-software-plugin (= ${binary:Version}),
          gnome-software-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.18),
-         libgtk3-perl,
-         packagekit (>= 1.2.5),
-         software-properties-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: sessioninstaller
-Recommends: fwupd [linux-any],
-            ${plugin:Recommends}
-Suggests: apt-config-icons-hidpi,
+Recommends: ${plugin:Recommends}
+Suggests: gnome-software-plugin-deb,
           gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
-          ${plugin:Suggests}
+          gnome-software-plugin-snap [amd64 arm64 armel armhf i386 ppc64el s390x]
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
  .
@@ -89,12 +83,41 @@
  .
  This package contains the architecture-independent files.
 
+Package: gnome-software-plugin-deb
+Architecture: any
+Depends: appstream,
+         apt-config-icons,
+         gnome-software (= ${binary:Version}),
+         libgtk3-perl,
+         packagekit (>= 1.2.5),
+         software-properties-gtk,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: apt-config-icons-hidpi
+Provides: gnome-software-plugin (= ${binary:Version})
+Breaks: gnome-software (<< 46.0-2~)
+Replaces: gnome-software (<< 46.0-2~)
+Description: .deb support for GNOME Software
+ Software lets you install and update applications and system extensions.
+ .
+ Software uses a plugin architecture to separate the frontend from the
+ technologies that are used underneath. Currently, a PackageKit plugin provides
+ data from a number of traditional packaging systems, such as rpm or apt. An
+ appdata plugin provides additional metadata from locally installed data in the
+ appdata format.
+ .
+ This package contains the AppStream and PackageKit plugins necessary for
+ managing .deb packages with apt.
+
 Package: gnome-software-plugin-flatpak
 Architecture: amd64 arm64 armel armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
 Depends: flatpak (>= 1.14.0),
          gnome-software (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gnome-software-plugin (= ${binary:Version})
+Breaks: gnome-software (<< 46.0-2~)
+Replaces: gnome-software (<< 46.0-2~)
 Description: Flatpak support for GNOME Software
  Software lets you install and update applications and system extensions.
  .
@@ -105,6 +128,25 @@
  appdata format.
  .
  This package contains the Flatpak plugin.
+
+Package: gnome-software-plugin-fwupd
+Architecture: linux-any
+Depends: fwupd,
+         gnome-software (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: gnome-software (<< 46.0-2~)
+Replaces: gnome-software (<< 46.0-2~)
+Description: Firmware updater support for GNOME Software
+ Software lets you install and update applications and system extensions.
+ .
+ Software uses a plugin architecture to separate the frontend from the
+ technologies that are used underneath. Currently, a PackageKit plugin provides
+ data from a number of traditional packaging systems, such as rpm or apt. An
+ appdata plugin provides additional metadata from locally installed data in the
+ appdata format.
+ .
+ This package contains the fwupd plugin to update firmware.
 
 Package: gnome-software-plugin-snap
 Architecture: amd64 arm64 armel armhf i386 ppc64el s390x
@@ -112,9 +154,10 @@
          snapd [amd64 arm64 armel armhf i386 ppc64el],
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gnome-software-plugin (= ${binary:Version})
 Recommends: snapd [s390x]
-Breaks: gnome-software (<< 3.22.3)
-Replaces: gnome-software (<< 3.22.3)
+Breaks: gnome-software (<< 46.0-2~)
+Replaces: gnome-software (<< 46.0-2~)
 Description: Snap support for GNOME Software
  Software lets you install and update applications and system extensions.
  .

## gnome-software 46.2

=== debian/changelog ===
gnome-software (46.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 16:25:38 -0400

## gnome-software 46.3

=== debian/changelog ===
gnome-software (46.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 17:43:55 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
                      libgtk-3-doc <!nodoc>,
                      libjson-glib-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>,
-                     libsoup2.4-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software

=== debian/rules ===
--- 
+++ 
@@ -63,19 +63,22 @@
 	sed -i "s/@URL@/$(FREE_URL)/g" debian/gnome-software.gsettings-override
 	dh_installgsettings
 
-override_dh_install:
-	# Remove unused files
-	rm -f debian/tmp/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fedora*
-	dh_install
-
-override_dh_missing:
-	dh_missing --fail-missing
-
+execute_after_dh_missing:
+	# Not useful for Debian
+	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fedora*
 	# These files are split out to separate packages
+	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_appstream*
 	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_flatpak*
+	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_fwupd*
+	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_packagekit*
 	rm -f debian/gnome-software/usr/lib/*/gnome-software/plugins-*/libgs_plugin_snap*
 	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Flatpak.metainfo.xml
 	rm -f debian/gnome-software/usr/share/metainfo/org.gnome.Software.Plugin.Snap.metainfo.xml
+	rm -f debian/gnome-software/usr/share/applications/gnome-software-local-file-fwupd.desktop
+# Ubuntu doesn't need the autostart file
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	rm -rf debian/gnome-software/etc/xdg/autostart
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xlibgs_plugin
@@ -86,15 +89,15 @@
 # DISABLED
 override_dh_auto_test:
 
+# Ubuntu doesn't need the fwupd plugin
 override_dh_gencontrol:
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
-	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-snap [linux-any]'
+	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-deb'
 else
-	dh_gencontrol -- -Vplugin:Suggests='gnome-software-plugin-snap [linux-any]'
+	dh_gencontrol -- -Vplugin:Recommends='gnome-software-plugin-fwupd [linux-any], gnome-software-plugin-deb'
 endif
 
-override_dh_clean:
+execute_before_dh_clean:
 	rm -f debian/gnome-software.gsettings-override
-	dh_clean
 
 override_dh_gnome_clean:

## gnome-software 46.4

=== debian/changelog ===
gnome-software (46.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 11 Aug 2024 08:16:42 -0400

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                      libjson-glib-doc <!nodoc>,
                      libsoup-3.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-software
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-software.git
 Homepage: https://apps.gnome.org/Software/

## gnome-software 47~beta

=== debian/changelog ===
gnome-software (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, GTK4, libadwaita, and libxmlb
  * Enable sysprof profiler support on available architectures
  * Add Build-Depends: itstool
  * Remove unused Depends: software-properties-gtk (Closes: #1060803)
  * debian/gnome-software.install: Install user help

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 20:09:55 -0400

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
                docbook-xsl,
                gsettings-desktop-schemas-dev (>= 3.18),
                gtk-doc-tools,
-               libadwaita-1-dev (>= 1.4),
+               itstool,
+               libadwaita-1-dev (>= 1.6~beta),
                libappstream-dev (>= 1.0.0),
                libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib-testing-0-dev,
-               libglib2.0-dev (>= 2.70.0),
-               libgtk-4-dev (>= 4.12.0),
+               libglib2.0-dev (>= 2.76.0),
+               libgtk-4-dev (>= 4.13.4),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
                libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
@@ -28,8 +29,9 @@
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup-3.0-dev,
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64],
                libxml2-utils,
-               libxmlb-dev (>= 0.1.7),
+               libxmlb-dev (>= 0.3.4),
                meson (>= 0.55.0),
                pkgconf,
                polkitd,
@@ -89,7 +91,6 @@
          gnome-software (= ${binary:Version}),
          libgtk3-perl,
          packagekit (>= 1.2.5),
-         software-properties-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: apt-config-icons-hidpi
@@ -173,12 +174,13 @@
 Architecture: any
 Multi-Arch: same
 Depends: libappstream-dev (>= 0.14.0),
-         libglib2.0-dev (>= 2.70.0),
-         libgtk-4-dev (>= 4.12.0),
+         libglib2.0-dev (>= 2.76.0),
+         libgtk-4-dev (>= 4.13.4),
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
          libsoup-3.0-dev,
-         libxmlb-dev (>= 0.1.7),
+         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64],
+         libxmlb-dev (>= 0.3.4),
          ${misc:Depends}
 Suggests: gnome-software-doc
 Description: Software Center for GNOME - development files

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
 GS_CONFIGURE_FLAGS = \
+	-Dauto_features=enabled \
 	-Dgsettings_desktop_schemas=enabled \
 	-Dpackagekit=true \
 	-Dpackagekit_autoremove=true \
@@ -19,6 +20,10 @@
 	-Dflatpak=false \
 	-Dgudev=false \
 	-Dmalcontent=false
+
+ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
+GS_CONFIGURE_FLAGS += -Dsysprof=disabled
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Enable Flatpak support on supported architectures

## gnome-software 47.0

=== debian/changelog ===
gnome-software (47.0-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Re-enable curated app list
  * debian/rules: Remove dropped gsettings-desktop-schemas flag
  * debian: lintian override library-not-linked-against-libc

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 12 Sep 2024 17:37:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,12 @@
 
 GS_CONFIGURE_FLAGS = \
 	-Dauto_features=enabled \
-	-Dgsettings_desktop_schemas=enabled \
 	-Dpackagekit=true \
 	-Dpackagekit_autoremove=true \
 	-Drpm_ostree=false \
-	-Dapt=true
+	-Dapt=true \
+	-Dhardcoded_curated=true \
+	-Ddefault_featured_apps=true
 
 # these are conditionally re-enabled later
 GS_CONFIGURE_FLAGS += \

## gnome-software 47.1

=== debian/changelog ===
gnome-software (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 14:53:21 -0400

gnome-software (47.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 08:12:58 -0400

## gnome-software 47.2

=== debian/changelog ===
gnome-software (47.2-1build1) plucky; urgency=medium

  * No-change rebuild against fwupd 2.0.2.

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 15:56:39 +0000

gnome-software (47.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Dandan Zhang ]
  * Build flatpak plugin & sysprof support for loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 08:51:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Gunnar Hjalmarsson <gunnarhj@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
@@ -16,20 +17,20 @@
                itstool,
                libadwaita-1-dev (>= 1.6~beta),
                libappstream-dev (>= 1.0.0),
-               libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
+               libflatpak-dev (>= 1.14.0) [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libfwupd-dev (>= 1.5.6) [linux-any],
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.76.0),
                libgtk-4-dev (>= 4.13.4),
                libgudev-1.0-dev [linux-any],
                libjson-glib-dev (>= 1.6.0),
-               libmalcontent-0-dev [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
+               libmalcontent-0-dev [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
                libostree-dev (>= 2022.5-2~) [linux-any],
                libpackagekit-glib2-dev (>= 1.2.5),
                libpolkit-gobject-1-dev,
                libsnapd-glib-dev (>= 1.63) [amd64 arm64 armel armhf i386 ppc64el s390x],
                libsoup-3.0-dev,
-               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64],
+               libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
                libxml2-utils,
                libxmlb-dev (>= 0.3.4),
                meson (>= 0.55.0),
@@ -58,7 +59,7 @@
 Conflicts: sessioninstaller
 Recommends: ${plugin:Recommends}
 Suggests: gnome-software-plugin-deb,
-          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
+          gnome-software-plugin-flatpak [amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32],
           gnome-software-plugin-snap [amd64 arm64 armel armhf i386 ppc64el s390x]
 Description: Software Center for GNOME
  Software lets you install and update applications and system extensions.
@@ -110,7 +111,7 @@
  managing .deb packages with apt.
 
 Package: gnome-software-plugin-flatpak
-Architecture: amd64 arm64 armel armhf hppa i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
+Architecture: amd64 arm64 armel armhf hppa i386 loong64 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
 Depends: flatpak (>= 1.14.0),
          gnome-software (= ${binary:Version}),
          ${misc:Depends},
@@ -179,7 +180,7 @@
          libjson-glib-dev (>= 1.6.0),
          libpolkit-gobject-1-dev,
          libsoup-3.0-dev,
-         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64],
+         libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el riscv64 s390x powerpc ppc64],
          libxmlb-dev (>= 0.3.4),
          ${misc:Depends}
 Suggests: gnome-software-doc

=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,13 @@
 	-Dgudev=false \
 	-Dmalcontent=false
 
-ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
+ifeq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el loong64 riscv64 s390x powerpc ppc64,$(DEB_HOST_ARCH)),)
 GS_CONFIGURE_FLAGS += -Dsysprof=disabled
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	# Enable Flatpak support on supported architectures
-	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
+	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 loong64 mipsel mips64el ppc64el s390x hppa powerpc ppc64 riscv64 x32))
 		GS_CONFIGURE_FLAGS += -Dflatpak=true -Dmalcontent=true
 	endif

## gnome-software 47.4

=== debian/changelog ===
gnome-software (47.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Jan 2025 14:15:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-software
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>,
            Gunnar Hjalmarsson <gunnarhj@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,

## gnome-software 48~beta

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 option('tests', type : 'boolean', value : true, description : 'enable tests')
-option('gsettings_desktop_schemas', type : 'feature', value : 'enabled', description : 'enable integration with GNOME desktop preferences')
 option('man', type : 'boolean', value : true, description : 'enable man pages')
 option('packagekit', type : 'boolean', value : true, description : 'enable PackageKit support')
 option('packagekit_autoremove', type : 'boolean', value : false, description : 'autoremove packages in PackageKit')
@@ -17,10 +16,13 @@
 option('snap', type : 'boolean', value : false, description : 'enable Snap support')
 option('external_appstream', type : 'boolean', value : false, description : 'enable external AppStream support')
 option('gtk_doc', type : 'boolean', value : true, description : 'enable API reference')
-option('hardcoded_curated', type : 'boolean', value : true, description : 'enable installation of default curated apps list')
-option('default_featured_apps', type : 'boolean', value : true, description : 'enable installation of default featured apps list')
+option('hardcoded_curated', type : 'boolean', value : false, description : 'enable installation of default curated apps list (for testing purpose only)')
+option('default_featured_apps', type : 'boolean', value : false, description : 'enable installation of default featured apps list (for testing purpose only)')
 option('mogwai', type : 'boolean', value : false, description : 'enable metered data support using Mogwai')
 option('sysprof', type : 'feature', value : 'auto', description : 'enable sysprof-capture support for profiling')
 option('profile', type : 'string', value : '', description : 'Build with specified application ID')
-option('soup2', type : 'boolean', value : false, description : 'build with libsoup2')
 option('opensuse-distro-upgrade', type : 'boolean', value : false, description : 'enable opensuse-distro-upgrade support')
+option('dkms', type : 'boolean', value : false, description : 'enable DKMS plugin to help installing DKMS (and akmods) Secure Boot certificates to UEFI MOK')
+# FIXME Switch the systemd-sysupdate option to true by default once
+# systemd-sysupdate and Software's matching plugin are deemed mature enough.
+option('systemd-sysupdate', type : 'boolean', value : false, description : 'enable systemd-sysupdate support')

=== debian/changelog ===
gnome-software (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump dependencies

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 16:07:35 -0500

## gnome-software 48~rc

=== debian/changelog ===
gnome-software (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 13:12:52 -0500

## gnome-software 48.0

=== debian/changelog ===
gnome-software (48.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 15:41:38 +0100
